{ попадает ли точка M(x,y) в круг с центром O(Xc,Yc) и радиусом R }
var xc,yc,mx,my,d,r:real;
begin
     writeln('введите M(X,Y), O(Xc,Yc) и R');
     readln( mx,my,xc,yc,r );
     d:=sqrt(sqr(xc-mx)+sqr(yc-my));
     if d<=r then writeln ('точка M лежит в круге')
             else writeln ('точка M лежит вне круга');
end.
